<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Thread.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_thread_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_thread_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef THREAD_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define THREAD_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_object_8h.html">Object.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>Thread_impl;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>IODevice;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_thread.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_thread.html">Thread</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <span class="keyword">friend</span> class ::Thread_impl;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb">Thread</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name,</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;         uint8_t priority,uint32_t stackSize=1024*128);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a39ede97ff3addeaf48ecec09c6625655">~Thread</a>();</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5">Start</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#afa1fb0f8d5b18273394502159dd5dcef">SafeStop</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_thread.html#afcbb4a445fe287b8608b173bdc10f056">ToBeStopped</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#aba8b31e2e4c1beccb31333beb8bd41a4">Join</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a581ae3bdecef47c916671a6aafec9509">SetPeriodUS</a>(uint32_t period_us);</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  uint32_t GetPeriodUS() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a37d13f12283d69ebd092a7cc01a7d742">SetPeriodMS</a>(uint32_t period_ms);</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  uint32_t GetPeriodMS() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_thread.html#af892a1b3025cb842cad8e7f2a11a9526">IsPeriodSet</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a50cd2ea88d538e10a30c3e6a5286a944">WaitPeriod</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a2b5b5f3cf400729419bd864b654af252">WaitUpdate</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device);</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b">Suspend</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_thread.html#af93c2461c31a6c16958bc44189ab4253">SuspendUntil</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> date);</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580">Resume</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_thread.html#adac9a6d336bdb50bcfa24c66943a355a">IsSuspended</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  </div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a2a82d0ade1418111c2a4e7d0e133696c">IsRunning</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011">SleepUntil</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6">SleepUS</a>(uint32_t time_us) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a501e7802d7edd7e6167d111c803b8349">SleepMS</a>(uint32_t time_ms) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;  <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_thread.html#a7fbf5ad201e7e802f0fa127891849dc9">WarnUponSwitches</a>(<span class="keywordtype">bool</span> enable);</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>) = 0;</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;  <span class="keyword">class </span>Thread_impl *pimpl_;</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;};</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;<span class="preprocessor">#endif // THREAD_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_ac09a2d745af3dbb42371949d4c622011"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011">flair::core::Thread::SleepUntil</a></div><div class="ttdeci">void SleepUntil(Time time) const </div><div class="ttdoc">Sleep until absolute time. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_adac9a6d336bdb50bcfa24c66943a355a"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#adac9a6d336bdb50bcfa24c66943a355a">flair::core::Thread::IsSuspended</a></div><div class="ttdeci">bool IsSuspended(void) const </div><div class="ttdoc">Is the thread suspended? </div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a3479727dfaf2213f7866fccadb43eeb6"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6">flair::core::Thread::SleepUS</a></div><div class="ttdeci">void SleepUS(uint32_t time_us) const </div><div class="ttdoc">Sleep for a certain time in micro second. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a2a82d0ade1418111c2a4e7d0e133696c"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a2a82d0ade1418111c2a4e7d0e133696c">flair::core::Thread::IsRunning</a></div><div class="ttdeci">bool IsRunning(void) const </div><div class="ttdoc">Is the thread running? </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_af93c2461c31a6c16958bc44189ab4253"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#af93c2461c31a6c16958bc44189ab4253">flair::core::Thread::SuspendUntil</a></div><div class="ttdeci">bool SuspendUntil(Time date)</div><div class="ttdoc">Suspend the thread with timeout. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a581ae3bdecef47c916671a6aafec9509"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a581ae3bdecef47c916671a6aafec9509">flair::core::Thread::SetPeriodUS</a></div><div class="ttdeci">void SetPeriodUS(uint32_t period_us)</div><div class="ttdoc">Set the period in micro second. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_ae7c46910a801f1b16302570ad8ae9580"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580">flair::core::Thread::Resume</a></div><div class="ttdeci">void Resume(void)</div><div class="ttdoc">Resume the thread. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a5a4f0f27689ae4292f81bf45e22998a5"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5">flair::core::Thread::Start</a></div><div class="ttdeci">void Start(void)</div><div class="ttdoc">Start the thread. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_afcbb4a445fe287b8608b173bdc10f056"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#afcbb4a445fe287b8608b173bdc10f056">flair::core::Thread::ToBeStopped</a></div><div class="ttdeci">bool ToBeStopped(void) const </div><div class="ttdoc">Set a stop flag. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_adecd2fabe36298c43267557e7f016deb"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb">flair::core::Thread::Thread</a></div><div class="ttdeci">Thread(const Object *parent, std::string name, uint8_t priority, uint32_t stackSize=1024 *128)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a2b5b5f3cf400729419bd864b654af252"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a2b5b5f3cf400729419bd864b654af252">flair::core::Thread::WaitUpdate</a></div><div class="ttdeci">int WaitUpdate(const IODevice *device)</div><div class="ttdoc">Wait update of an IODevice. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a7fbf5ad201e7e802f0fa127891849dc9"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a7fbf5ad201e7e802f0fa127891849dc9">flair::core::Thread::WarnUponSwitches</a></div><div class="ttdeci">static void WarnUponSwitches(bool enable)</div><div class="ttdoc">Warn if real time / non real time switches occur. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_aba8b31e2e4c1beccb31333beb8bd41a4"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#aba8b31e2e4c1beccb31333beb8bd41a4">flair::core::Thread::Join</a></div><div class="ttdeci">void Join(void)</div><div class="ttdoc">Join the thread. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_afa1fb0f8d5b18273394502159dd5dcef"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#afa1fb0f8d5b18273394502159dd5dcef">flair::core::Thread::SafeStop</a></div><div class="ttdeci">void SafeStop(void)</div><div class="ttdoc">Set a stop flag. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a37d13f12283d69ebd092a7cc01a7d742"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a37d13f12283d69ebd092a7cc01a7d742">flair::core::Thread::SetPeriodMS</a></div><div class="ttdeci">void SetPeriodMS(uint32_t period_ms)</div><div class="ttdoc">Set the period in milli second. </div></div>
<div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:38</div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_af892a1b3025cb842cad8e7f2a11a9526"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#af892a1b3025cb842cad8e7f2a11a9526">flair::core::Thread::IsPeriodSet</a></div><div class="ttdeci">bool IsPeriodSet(void)</div><div class="ttdoc">Returns if period was set. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a501e7802d7edd7e6167d111c803b8349"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a501e7802d7edd7e6167d111c803b8349">flair::core::Thread::SleepMS</a></div><div class="ttdeci">void SleepMS(uint32_t time_ms) const </div><div class="ttdoc">Sleep for a cartain time in milli second. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a50cd2ea88d538e10a30c3e6a5286a944"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a50cd2ea88d538e10a30c3e6a5286a944">flair::core::Thread::WaitPeriod</a></div><div class="ttdeci">void WaitPeriod(void) const </div><div class="ttdoc">Wait the period. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a39ede97ff3addeaf48ecec09c6625655"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a39ede97ff3addeaf48ecec09c6625655">flair::core::Thread::~Thread</a></div><div class="ttdeci">virtual ~Thread()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_thread_html_a0e5fc8919ed6042e5736a5dca5ba546b"><div class="ttname"><a href="classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b">flair::core::Thread::Suspend</a></div><div class="ttdeci">void Suspend(void)</div><div class="ttdoc">Suspend the thread. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_thread_8h.html">Thread.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
